## microb-l10n 0.0.4-1

=== debian/changelog ===
microb-l10n (0.0.4-1) unstable; urgency=low

   * Fixed bug 1706 fr-FR and es_ES undefined entity proxyResolveFailure.longDesc
     Invalid syntax error when connection is lost
    

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 07 Aug 2007 17:53:34 +0300

microb-l10n (0.0.3-1) unstable; urgency=low

  * add l10n2.tar.gz from localization team

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri, 11 May 2007 16:28:27 +0300

microb-l10n (0.0.2-1) unstable; urgency=low

  * Added MP Licensing

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Sun, 15 Apr 2007 14:07:00 +0300

microb-l10n (0.0.1-1) unstable; urgency=low

  * Initial release.

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri, 13 Apr 2007 09:52:51 +0300
