## microb-l10n 0.1.1-1

=== debian/changelog ===
microb-l10n (0.1.1-1) unstable; urgency=low

  * Fixed bug:about: page calls the engine Minefield in stead of
    MicroB. Fixes: NB#74340
  * Fixed Bug:Missing comma in the last line of fileNotFound network error page.
    Fixes: NB#76702
  * Fixed Bug:Unneeded full stop after "Try again" translations. Fixes: NB#76787
  * Restored license headers...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 26 Nov 2007 12:09:04 +0200

microb-l10n (0.1.0-1) unstable; urgency=low

  * Fixed bug:Modify error description for fileNotFound. Fixes: NB#73881
  * Fixed bug:Modify error description for dnsNotFound. Fixes: NB#73882
  * Fixed bug:Modify error description for connectionFailure. Fixes: NB#73883
  * Fixed bug:Modify error description for netTimeOut. Fixes: NB#73884
  * Fixed bug:Modify error description for proxyResolveFailure. Fixes: NB#73885 
  * Fixed bug:Modify error description for proxyConnectFailure. Fixes: NB#73886 
  * Fixed bug:Modify error description for redirectLoop. Fixes: NB#73887 
  * Fixed bug:(fr_fr) about: page calls the engine Minefield in stead of MicroB.
    Fixes: NB#74340 
  * Fixed bug: Browser, string is cut off in Authentication dialog
    weba_fi_auhentication_realm. Fixes: NB#76065

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 20 Nov 2007 19:34:30 +0200

microb-l10n (0.0.10-1) unstable; urgency=low

  * Fixed bug: Unloccalized line: "Change this application's internal settings" on about:
    page. Fixes: NB#73436

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 16 Oct 2007 17:26:09 +0300

microb-l10n (0.0.9-1) unstable; urgency=low

  * Fixed network error pages for de_DE, ru_RU and fr_CA locales.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 10 Oct 2007 18:11:05 +0300

microb-l10n (0.0.8-1) unstable; urgency=low

  * Fixed XML parsing error in netError.dtd file.
  * Included global-region properties

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  9 Oct 2007 14:15:19 +0300

microb-l10n (0.0.7-1) unstable; urgency=low

  * Fixed bug:Browser; wrong alignment in Authentication dialog �weba.
    Fixes: NB#71127 
  * Fixed bug:fileNotFound error message must be rephrased. Fixes: NB#56223 
  * Fixed bug:dnsNotFound error message must be rephrased. Fixes: NB#56224
  * Fixed bug:connectionFailure error message must be rephrased. Fixes: NB#56225
  * Fixed bug:netTimeOut error message must be rephrased. Fixes: NB#56227
  * Fixed bug:proxyResolveFailure error message must be rephrased. Fixes: NB#56228
  * Fixed bug:proxyConnectFailure error message must be rephrased. Fixes: NB#56229
  * Fixed bug:redirectLoop error message must be rephrased. Fixes: NB#56230
  * Fixed bug:deniedPortAccess error message must be rephrased. Fixes: NB#56226

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  8 Oct 2007 18:11:00 +0300

microb-l10n (0.0.6-1) unstable; urgency=low

  * Fixed bug:Web browser: wrong error page for connection failure, German.
    Fixes: NB#70396

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Sep 2007 21:57:02 +0300

microb-l10n (0.0.5-1) unstable; urgency=low

  * Fixed bug:make description for about:config localizable. Fixes: MB#1831
  * includes engineer's English for all localizations

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 29 Aug 2007 12:00:42 +0300
