=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	tar -zxvf $(CURDIR)/l10n.tar.gz -C $(BUILDDIR) > /dev/null
 
 	mkdir -p $(BUILDDIR) 
-	tar -zxvf $(CURDIR)/l10n2.tar.gz -C $(BUILDDIR) > /dev/null
+	cp -r $(CURDIR)/l10n2 $(BUILDDIR) > /dev/null
 	
 	if [ -d $(BUILDDIR)/l10n/es-AR ]; then \
 	    mv $(BUILDDIR)/l10n/es-AR $(BUILDDIR)/l10n/es-MX ; \
@@ -107,7 +107,7 @@
 	dh_installdirs
 
 	# translation
-	for str in `echo da de es-MX es-ES fr fr-CA it nl pt-BR pt-PT fi ru sv-SE no-NO`;do \
+	for str in `echo da de es-MX en-GB es-ES fr fr-CA it nl pt-BR pt-PT fi ru sv-SE no-NO`;do \
 	    SOURCE_DIR=$(BUILDDIR)/l10n/$$str ; \
 	    SOURCE_DIR_2=$(BUILDDIR)/l10n2/$$str/locale/$$str ; \
 	    DEST_DIR=$(TARGETDIR_LC)/$$str/locale/$$str ; \
@@ -115,6 +115,7 @@
 	    mkdir -p $$DEST_DIR/global/{layout,security,xslt,xml,dom} ; \
             mkdir -p $$DEST_DIR/global-platform/unix/ ; \
             mkdir -p $$DEST_DIR/pipnss/ ; \
+            mkdir -p $$DEST_DIR/global-region/ ; \
             mkdir -p $$DEST_DIR/pippki/ ; \
             mkdir -p $(TARGETDIR_LC)/$$str/locale/branding/ ; \
 	    install -m 644 $$SOURCE_DIR/netwerk/*.* $$DEST_DIR/necko/ ;\
@@ -132,6 +133,8 @@
             install -m 644 $$SOURCE_DIR/browser/chrome/branding/brand.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/browser/chrome/browser/preferences/preferences.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/global/*.* $$DEST_DIR/global/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/global-region/*.dtd $$DEST_DIR/global-region/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/global-region/*.properties $$DEST_DIR/global-region/ ; \
             install -m 644 $$SOURCE_DIR/dom/chrome/accessibility/unix/*.* $$DEST_DIR/global-platform/unix/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/global-platform/unix/*.* $$DEST_DIR/global-platform/unix/ ; \
             install -m 644 $$SOURCE_DIR/dom/chrome/xslt/*.* $$DEST_DIR/global/xslt/ ; \
