## microb-l10n 0.1.3-5

=== debian/changelog ===
microb-l10n (0.1.3-5) unstable; urgency=low

  * Fixes: NB#77857 deniedPortAccess error message should include port

 -- Josh Soref <josh.soref@nokia.com>  Tue, 01 Apr 2008 22:31:04 -0700

microb-l10n (0.1.3-4) unstable; urgency=low

  * Fixes: NB#78032 Message field title is not properly aligned 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  4 Mar 2008 14:51:32 +0200

microb-l10n (0.1.3-3) unstable; urgency=low

  * update changelog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Feb 2008 12:46:16 +0200

microb-l10n (0.1.3-2) unstable; urgency=low

  * Fixed extension manager translations

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 Feb 2008 10:15:25 +0200

microb-l10n (0.1.3-1) unstable; urgency=low

  * Fixed about: to include text for about:system.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 28 Dec 2007 16:52:15 +0200

microb-l10n (0.1.2-1) unstable; urgency=low

  * Fixed bug:gtkmozembed crash if you try create new instance of embed
    browser after previous one was deleted. Fixes: NB#78066
  * mozilla.org has produced localized versions of the powered by mozilla logo
    http://chevrel.org/mozco/poweredby/
    tuukka tolvanen merged them over the en logo
    pt-br is used for pt-pt
    es is used for both es-mx and es-es
    fr is used for fr-ca
    English text is used for da de it sv-SE (in addition to en-US and en-GB)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  3 Dec 2007 12:05:18 +0200
