=== debian/control ===
Source: microb-l10n
Section: misc
Priority: optional
Maintainer: Leonid Zolotarev <leonid.zolotarev@nokia.com>
Build-Depends: debhelper (>= 4), quilt
Standards-Version: 3.6.2

Package: microb-l10n
Section: misc
Architecture: all
Description: Localization package for microb-engine
 This package contains the localizations for microb-engine.
