=== debian/rules ===
--- 
+++ 
@@ -115,10 +115,11 @@
 	    mkdir -p $$DEST_DIR/global/{layout,security,xslt,xml,dom} ; \
             mkdir -p $$DEST_DIR/global-platform/unix/ ; \
             mkdir -p $$DEST_DIR/pipnss/ ; \
+            mkdir -p $$DEST_DIR/mozapps/extensions ; \
             mkdir -p $$DEST_DIR/global-region/ ; \
             mkdir -p $$DEST_DIR/pippki/ ; \
             mkdir -p $(TARGETDIR_LC)/$$str/locale/branding/ ; \
-	    install -m 644 $$SOURCE_DIR/netwerk/*.* $$DEST_DIR/necko/ ;\
+            install -m 644 $$SOURCE_DIR/netwerk/*.* $$DEST_DIR/necko/ ;\
             install -m 644 $$SOURCE_DIR/dom/chrome/*.* $$DEST_DIR/global/ ;\
             install -m 644 $$SOURCE_DIR/dom/chrome/layout/css.properties $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/dom/chrome/layout/xbl.properties $$DEST_DIR/global/ ; \
@@ -130,6 +131,7 @@
             install -m 644 $$SOURCE_DIR/dom/chrome/layout/HtmlForm.properties $$DEST_DIR/global/layout/ ; \
             install -m 644 $$SOURCE_DIR/dom/chrome/security/*.* $$DEST_DIR/global/security/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/extensions/about.dtd $$DEST_DIR/global/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/extensions/*.* $$DEST_DIR/mozapps/extensions/ ; \
             install -m 644 $$SOURCE_DIR/browser/chrome/branding/brand.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/browser/chrome/browser/preferences/preferences.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/global/*.* $$DEST_DIR/global/ ; \
