## microb-l10n 0.3.8.1-1%2b0m5

=== debian/changelog ===
microb-l10n (0.3.8.1-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Fri, 18 Sep 2009 16:53:32 +0300

microb-l10n (0.3.8.1-1) unstable; urgency=low

  * Fixes: NB#137689 - Fix untranslated string

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 17 Sep 2009 18:48:40 +0300

microb-l10n (0.3.8-1) unstable; urgency=low

  * Fixes: NB#133598 - Component view is not working for when language/region
    is set to cs-CZ, nl-NL, pt-PT 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 25 Aug 2009 15:18:44 +0300

microb-l10n (0.3.7-1) unstable; urgency=low

  * Fixes: NB#128058 - Remember credentials dialog is not shown for Dutch 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed,  5 Aug 2009 13:15:42 +0300

microb-l10n (0.3.6-1) unstable; urgency=low

  * Fixes: NB#125750 - "Remember credentials for this site?" dialog is not displayed when
    language is set to Finnish 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue,  7 Jul 2009 18:35:01 +0300

microb-l10n (0.3.5-1) unstable; urgency=low

  * Fixes: NB#117767 - continue script button truncated 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri,  3 Jul 2009 17:46:28 +0300

microb-l10n (0.3.4-1) unstable; urgency=low

  * Fixes: NB#126590 - Added cs localizations.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri,  3 Jul 2009 17:20:51 +0300

microb-l10n (0.3.3-1) unstable; urgency=low

  * Fixes: NB#116768 - Browser, Untranslated, "Remember credentials for this site" 
  * Fixes: NB#116903 - Browser, Untranslated, "Would you like to change the storedpassword for %s?"

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 19 May 2009 17:05:36 +0300

microb-l10n (0.3.2-1) unstable; urgency=low

  * Added missing xpinstall properties

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 30 Nov 2008 18:55:48 -0500

microb-l10n (0.3.1-2) unstable; urgency=low

  *  Updated changelog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 12 Nov 2008 16:54:49 +0200

microb-l10n (0.3.1-1) unstable; urgency=low

  * Fixed localization problems for latest trunk  

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 06 Nov 2008 11:39:02 +0200

microb-l10n (0.2.3-1) unstable; urgency=low

  * Fixed: bug#90882 The 'about:config' page does not work, proper path, for	en-GB and pt-BR

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 03 Nov 2008 15:33:52 +0200

microb-l10n (0.2.2-2) unstable; urgency=low

  * Fixed patch apply 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 27 Oct 2008 13:39:08 -0500

microb-l10n (0.2.2-1) unstable; urgency=low

  * Fixes: NB#90882 The 'about:config' page does not work, proper path,

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 27 Oct 2008 13:36:58 -0500

microb-l10n (0.2.1-1) unstable; urgency=low

  * Replaced Firefox with MicroB branding name

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 26 Sep 2008 10:55:17 -0500

microb-l10n (0.1.9-1) unstable; urgency=low

  * Fixed building problems 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri,  5 Sep 2008 14:16:17 +0300

microb-l10n (0.1.8-1.3) unstable; urgency=low

  * Fixed password manager localization problems
  * Bug 87980

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 05 Sep 2008 13:13:47 +0300

microb-l10n (0.1.8-1.2) unstable; urgency=low

  * Fixed building problems 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 05 Sep 2008 12:51:46 +0300

microb-l10n (0.1.8-1.1) unstable; urgency=low

  * Update to latest hg trunk
  *  

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 05 Sep 2008 11:57:51 +0300

microb-l10n (0.1.8-1) unstable; urgency=low

  * Updated  get_latest_cvs_l10n.sh script.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri,  5 Sep 2008 11:39:46 +0300

microb-l10n (0.1.7-4) unstable; urgency=low

  * Changed package maintainer information. 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 15 Aug 2008 13:08:16 +0300

microb-l10n (0.1.7-3) unstable; urgency=low

  * Included netError.dtd from overrides dir.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 12 Aug 2008 19:48:26 +0300

microb-l10n (0.1.7-2) unstable; urgency=low

  * Disabled wrong commit 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 22 Jul 2008 21:27:34 +0300

microb-l10n (0.1.7-1) unstable; urgency=low

  * Fixed bug 423621

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 22 Jul 2008 21:23:13 +0300

microb-l10n (0.1.6-1) unstable; urgency=low

  * Fixed about:config module problem. 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 18 Jul 2008 11:06:41 +0300

microb-l10n (0.1.5-4) unstable; urgency=low

  * Adding manifest files 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 17 Jul 2008 21:07:36 +0300

microb-l10n (0.1.5-3) unstable; urgency=low

  * Adding about:system module support 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 17 Jul 2008 19:33:15 +0300

microb-l10n (0.1.5-2) unstable; urgency=low

  * Changed installation path.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 17 Jul 2008 12:24:55 +0300

microb-l10n (0.1.5-1) unstable; urgency=low

  * Updated localizations  

 -- Josh Soref <josh.soref@nokia.com>  Fri, 11 Jul 2008 17:52:45 +0300

microb-l10n (0.1.4-1) unstable; urgency=low

  * Removed all localization files from the installtion.

 -- Josh Soref <josh.soref@nokia.com>  Fri, 11 Jul 2008 12:04:09 +0300
