## microb-l10n 0.4.6-1+0m5

=== debian/changelog ===
microb-l10n (0.4.6-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 10 Feb 2010 20:54:00 +0200

microb-l10n (0.4.6-1) unstable; urgency=low

  * Fixes: NB#138564 - Browser - quotation marks need to be removed in credential window 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 11 Jan 2010 16:01:22 +0200

microb-l10n (0.4.5-1) unstable; urgency=low

  * Fixes: NB#137606 - Offline page mentions unexisting "File" menu

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Dec 2009 18:36:38 +0200

microb-l10n (0.4.4-1) unstable; urgency=low

  * Revert partial fix to NB#137606 for the moment

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Dec 2009 18:30:06 +0200

microb-l10n (0.4.3-3) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 29 Oct 2009 21:41:46 +0200

microb-l10n (0.4.3-2) unstable; urgency=low

  * Fixes: NB#142903 - Add-ons are not displayed in browser(additional fix).

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 19 Oct 2009 19:46:55 +0300

microb-l10n (0.4.3-1) unstable; urgency=low

  * Fixes: NB#136155 - Incorrect punctuation and grammar in stop script string in Browser 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 19 Oct 2009 19:40:06 +0300

microb-l10n (0.4.2-1) unstable; urgency=low

  * Fixes: NB#142903 - Add-ons are not displayed in browser 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 15 Oct 2009 19:28:21 +0300

microb-l10n (0.4.1-1) unstable; urgency=low

  * (Reverted for 0.4.4-1) NB#137606 - Offline page mentions unexisting
    "File" menu

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 18 Sep 2009 12:02:20 +0300

microb-l10n (0.4.0-4) unstable; urgency=low

  * Fixes: NB#127800 - No-break space needed for French quotation marks

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 17 Sep 2009 19:27:56 +0300

microb-l10n (0.4.0-3) unstable; urgency=low

  * Revert NB#127800 for the moment

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 16 Sep 2009 20:28:50 +0300

microb-l10n (0.4.0-2) unstable; urgency=low

  * Fixed NB#137689 - Browser save password dialog not localized

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Sat, 12 Sep 2009 16:42:46 +0300

microb-l10n (0.4.0-1) unstable; urgency=low

  * Updated localization from mozilla central, date 2009-09-12.
    Fixes: NB#144796

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 12 Sep 2009 14:09:22 +0300

microb-l10n (0.3.9-1) unstable; urgency=low

  * (Reverted for 0.4.0-3) NB#127800 - No-break space needed for French
    quotation marks

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed,  2 Sep 2009 12:29:55 +0300
