=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: microb-l10n
 Section: misc
 Priority: optional
-Maintainer: Leonid Zolotarev <leonid.zolotarev@nokia.com>
+Maintainer: Sudarsana Nagineni <sudarsana.nagineni@nokia.com>
 Build-Depends: debhelper (>= 4), quilt
 Standards-Version: 3.6.2
