=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 # #export DH_VERBOSE=1
  
-TARGETDIR_LC=$(CURDIR)/debian/microb-l10n/usr/lib/microb-engine/chrome
+TARGETDIR_LC=$(CURDIR)/debian/microb-l10n/usr/share/microb-engine/chrome
 BUILDDIR = $(CURDIR)/build-tree
 LANGDIR = $(BUILDDIR)/l10n
 export QUILT_PATCHES=$(CURDIR)/debian/patches
@@ -21,24 +21,21 @@
 unpack-stamp:
 	dh_testdir
 
-	mkdir -p $(BUILDDIR) 
+	mkdir -p $(BUILDDIR)
 	tar -zxvf $(CURDIR)/l10n.tar.gz -C $(BUILDDIR) > /dev/null
 
-	mkdir -p $(BUILDDIR) 
-	cp -r $(CURDIR)/l10n2 $(BUILDDIR) > /dev/null
-	
 	if [ -d $(BUILDDIR)/l10n/es-AR ]; then \
-	    mv $(BUILDDIR)/l10n/es-AR $(BUILDDIR)/l10n/es-MX ; \
+		mv $(BUILDDIR)/l10n/es-AR $(BUILDDIR)/l10n/es-MX ; \
 	fi
-
+ 
 	if [ -d $(BUILDDIR)/l10n/nb-NO ]; then \
-	    cp -R $(BUILDDIR)/l10n/nb-NO $(BUILDDIR)/l10n/no-NO ; \
-	fi
+		cp -R $(BUILDDIR)/l10n/nb-NO $(BUILDDIR)/l10n/no-NO ; \
+      	fi
 
 	if [ -d $(BUILDDIR)/l10n/fr ]; then \
-	    cp -R $(BUILDDIR)/l10n/fr $(BUILDDIR)/l10n/fr-CA ; \
+		cp -R $(BUILDDIR)/l10n/fr $(BUILDDIR)/l10n/fr-CA ; \
 	fi
-
+	
 	touch unpack-stamp
 
 clean:
@@ -107,15 +104,17 @@
 	dh_installdirs
 
 	# translation
-	for str in `echo da de es-MX en-GB es-ES fr fr-CA it nl pt-BR pt-PT fi ru sv-SE no-NO`;do \
+#	    SOURCE_DIR_2=$(BUILDDIR)/l10n2/$$str/locale/$$str ; 
+	for str in `echo da de es-MX en-GB es-ES fr fr-CA it nl pt-BR pt-PT fi ru sv-SE no-NO pl cs`;do \
 	    SOURCE_DIR=$(BUILDDIR)/l10n/$$str ; \
-	    SOURCE_DIR_2=$(BUILDDIR)/l10n2/$$str/locale/$$str ; \
 	    DEST_DIR=$(TARGETDIR_LC)/$$str/locale/$$str ; \
 	    mkdir -p $$DEST_DIR/necko/ ; \
-	    mkdir -p $$DEST_DIR/global/{layout,security,xslt,xml,dom} ; \
+	    mkdir -p $$DEST_DIR/global/{layout,security,xslt,xml,dom,xpinstall} ; \
             mkdir -p $$DEST_DIR/global-platform/unix/ ; \
             mkdir -p $$DEST_DIR/pipnss/ ; \
-            mkdir -p $$DEST_DIR/mozapps/extensions ; \
+            mkdir -p $$DEST_DIR/places/ ; \
+            mkdir -p $$DEST_DIR/mozapps/{extensions,downloads,xpinstall,update,plugins} ; \
+            mkdir -p $$DEST_DIR/passwordmgr/ ; \
             mkdir -p $$DEST_DIR/global-region/ ; \
             mkdir -p $$DEST_DIR/pippki/ ; \
             mkdir -p $(TARGETDIR_LC)/$$str/locale/branding/ ; \
@@ -132,9 +131,16 @@
             install -m 644 $$SOURCE_DIR/dom/chrome/security/*.* $$DEST_DIR/global/security/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/extensions/about.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/extensions/*.* $$DEST_DIR/mozapps/extensions/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/downloads/*.* $$DEST_DIR/mozapps/downloads/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/xpinstall/*.* $$DEST_DIR/mozapps/xpinstall/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/update/*.* $$DEST_DIR/mozapps/update/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/mozapps/plugins/*.* $$DEST_DIR/mozapps/plugins/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/passwordmgr/*.* $$DEST_DIR/passwordmgr/ ; \
             install -m 644 $$SOURCE_DIR/browser/chrome/branding/brand.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/browser/chrome/browser/preferences/preferences.dtd $$DEST_DIR/global/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/global/*.* $$DEST_DIR/global/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/global/xpinstall/*.* $$DEST_DIR/global/xpinstall/ ; \
+            install -m 644 $$SOURCE_DIR/toolkit/chrome/places/*.* $$DEST_DIR/places/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/global-region/*.dtd $$DEST_DIR/global-region/ ; \
             install -m 644 $$SOURCE_DIR/toolkit/chrome/global-region/*.properties $$DEST_DIR/global-region/ ; \
             install -m 644 $$SOURCE_DIR/dom/chrome/accessibility/unix/*.* $$DEST_DIR/global-platform/unix/ ; \
@@ -144,18 +150,9 @@
             install -m 644 $$SOURCE_DIR/security/manager/chrome/pipnss/*.* $$DEST_DIR/pipnss/ ; \
             install -m 644 $$SOURCE_DIR/security/manager/chrome/pippki/*.* $$DEST_DIR/pippki/ ; \
             install -m 644 $$SOURCE_DIR/browser/chrome/branding/*.* $(TARGETDIR_LC)/$$str/locale/branding/ ; \
-            install -m 644 $$SOURCE_DIR_2/../branding/*.* $(TARGETDIR_LC)/$$str/locale/branding/ ; \
-            install -m 644 $$SOURCE_DIR_2/global/*.* $$DEST_DIR/global/ ; \
-            install -m 644 $$SOURCE_DIR_2/global/xml/*.* $$DEST_DIR/global/xml/ ; \
-            install -m 644 $$SOURCE_DIR_2/global/xslt/*.* $$DEST_DIR/global/xslt ; \
-            install -m 644 $$SOURCE_DIR_2/global/layout/*.* $$DEST_DIR/global/layout ; \
-            install -m 644 $$SOURCE_DIR_2/global/security/*.* $$DEST_DIR/global/security ; \
-            install -m 644 $$SOURCE_DIR_2/global/dom/*.* $$DEST_DIR/global/dom ; \
-            install -m 644 $$SOURCE_DIR_2/global-platform/unix/*.* $$DEST_DIR/global-platform/unix ; \
-            install -m 644 $$SOURCE_DIR_2/necko/*.* $$DEST_DIR/necko/ ; \
-            install -m 644 $$SOURCE_DIR_2/pipnss/*.* $$DEST_DIR/pipnss/ ; \
-            install -m 644 $$SOURCE_DIR_2/pippki/*.* $$DEST_DIR/pippki/ ; \
-            install -m 644 $(CURDIR)/manifest/$$str.manifest $(TARGETDIR_LC)/ ; \
+            install -m 644 $(CURDIR)/branding/$$str/locale/branding/*.* $(TARGETDIR_LC)/$$str/locale/branding/ ; \
+	    install -m 644 $(CURDIR)/manifest/$$str.manifest $(TARGETDIR_LC)/ ; \
+            install -m 644 $$SOURCE_DIR/browser/chrome/overrides/*.* $$DEST_DIR/global/ ;\
 	done ;
 
 binary-indep: build install
